---
title: "Blog"
source: /de/gcxone/api/blog
locale: de
updated: 2026-09-04
---
Operationen für Blog-Ressourcen. 6 Endpunkte, jeweils relativ zu `https://api.nxgen.cloud/api/v1` und authentifiziert wie unter [Authentifizierung](/gcxone/api/authentication).

## POST /blog

Neuen Blog auf einer bestimmten Hierarchieebene hinzufügen

### Anfragekörper

Blog hinzufügen

```json
{
  "title": "string (required)",
  "description": "string",
  "content": "string",
  "accessLevel": "string (required)",
  "entityId": "string (required)",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## POST /blog/filter

Ruft die Blog-Liste mit Filterung, Sortierung und Paginierung ab. Es ermöglicht die Suche nach Hierarchieebenen. Es kann anhand einer angegebenen Hierarchie gefiltert werden oder verwendet die Hierarchie des angemeldeten Benutzers. Dadurch kann man zusätzliche Entitätsfelder in der Antwort erhalten. Außerdem werden Konfigurations-Metadaten zur Entität bereitgestellt.

### Anfragekörper

Blog-Filterung und -Sortierung

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg | Objekt |
| 204 | Kein Inhalt |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |

Beispiel `200` Antwort:

```json
{
  "dataResult": [
    {
      "_id": "62d76c65104ef771f6a11f0c",
      "uniqueId": "62d76c65104ef771f6a11f0cas1209ji",
      "title": "Blog 1",
      "description": "description 1",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    },
    {
      "_id": "62d76f78104ef771f6a11f0e",
      "uniqueId": "156c67kiokio04ef771f6a11f0cas1209ji",
      "title": "Blog 2",
      "description": "description 2",
      "accessLevel": "serviceprovider",
      "isPublished": true,
      "publishedOn": 1658285307,
      "createdBy": "developer-1@dev.de",
      "createdOn": 1658285307,
      "modifiedBy": "",
      "modifiedOn": 1658285307
    }
  ],
  "totalRecordsCount": 15
}
```

## GET /blog/{id}

Blog nach Id abrufen

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PUT /blog/{id}

Vorhandenen Blog aktualisieren

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Anfrage-Body

Um einen Blog zu aktualisieren, geben Sie die vorhandene Id an

```json
{
  "title": "string",
  "description": "string",
  "content": "string",
  "thumbnail": "string",
  "jsonSchemaResult": "object",
  "isAccessRestricted": "boolean"
}
```

### Antworten

| Status | Beschreibung | Body |
| --- | --- | --- |
| 200 | Erfolg |  |
| 400 | Ungültige Eingabe |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "_id": "62ea2a8328c7c9",
  "uniqueId": "afd49a39338dc",
  "accessLevel": "site",
  "createdBy": "developer-1@dev.de",
  "createdOn": 1659513475763,
  "modifiedBy": "developer-1@dev.de",
  "modifiedOn": 1659514047995,
  "title": "new blog",
  "description": "desc",
  "content": "<p>test content</p>",
  "isAccessRestricted": true,
  "jsonSchemaResult": {},
  "thumbnail": "",
  "serviceProviderId": "",
  "customerId": "",
  "siteId": ""
}
```

## PATCH /blog/{id}

Patch zum Veröffentlichen des Blogs

### Parameter

| Name | Im | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | Pfad | Zeichenkette | ja |  |

### Anfrage-Body

Veröffentlichen Sie den Blog

```json
{
  "isPublished": "boolean"
}
```

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "isSuccess": true
}
```

## DELETE /blog/{id}

Löschen Sie einen Blog nach ID

### Parameter

| Name | In | Typ | Erforderlich | Beschreibung |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Antworten

| Status | Beschreibung | Inhalt |
| --- | --- | --- |
| 200 | Erfolg |  |
| 401 | Nicht autorisiert |  |
| 403 | Verboten |  |
| 404 | Nicht gefunden |  |

Beispiel `200` Antwort:

```json
{
  "isSuccess": true
}
```